import 'package:flutter/material.dart';
import 'package:sendtrain/database/database.dart';
import 'package:sendtrain/widgets/activities/activity_card.dart';

class SessionViewActivities extends StatefulWidget {
  const SessionViewActivities({super.key, required this.activities });

  final List<Activity> activities;

  @override
  State<SessionViewActivities> createState() => _SessionViewActivitiesState();
}

class _SessionViewActivitiesState extends State<SessionViewActivities> {

  @override
  Widget build(BuildContext context) {
    return Expanded(
        child: ListView.builder(
      // shrinkWrap: true,
      padding: const EdgeInsets.fromLTRB(10, 0, 10, 0),
      itemCount: widget.activities.length,
      itemBuilder: (BuildContext context, int index) {
        return ActivityCard(
            activity: widget.activities[index]);
      },
    ));
  }
}